"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
function LoadBoard(view, data) {
    view.m_Scene.children.forEach(obj => {
        let geo = obj["geometry"];
        if (geo)
            geo.dispose();
    });
    view.m_Scene.children.length = 0;
    //加板
    let { meshs, edgesa } = _1.createTemplateBoard(data);
    //加标注
    let dims = _1.DrawDimension(meshs);
    view.m_Scene.add(...meshs);
    view.m_Scene.add(...edgesa);
    view.m_Scene.add(...dims);
    view.ViewToSwiso();
    view.ZoomAll();
    view.Zoom(1.1);
}
exports.LoadBoard = LoadBoard;
//# sourceMappingURL=Utils.js.map